> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron/integration/migration/view-migration-progress.md).

# View Migration Progress

This service allows the user to check the status of previously initiated migration processes. With the values specified as parameters in the table below, a request is sent to the defined endpoint by entering the api\_token value for the relevant user and the migration\_id for the relevant migration process to the relevant store channel.

<table data-header-hidden><thead><tr><th width="137.234375"></th><th width="118.83203125"></th><th width="106.09375"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Data Type</strong></td><td><strong>In</strong></td><td><strong>Descriptions</strong></td></tr><tr><td>channel_id</td><td>integer</td><td>url</td><td>The id of the shop channel</td></tr><tr><td>api_token</td><td>string</td><td>header</td><td><a href="/pages/qgPMhTo0zEnpGTXNhjIR">The API key of the customer’s account</a></td></tr><tr><td>migration_id</td><td>string</td><td>url</td><td>The string that can be retrieved from the response of start migration request</td></tr></tbody></table>

## <mark style="color:red;">`GET`</mark> <mark style="color:red;">View Migration Progress</mark>

**Path:** `/api/i1/remote/{channel_id}/migrations/{migration_id}/progress/`

To check the status of migrations such as user, address, order etc. that have been started before, a “GET” request is sent to the `/api/v1/remote/{channel_id}/migrations/{migration_id}/progress/` endpoint using the parameters given above.

```python
import requests

url = "https://{customer_api_url}/api/v1/remote/{channel_id}/migrations/{migration_id}/progress/"
api_token = "f532eXXXXXXXXXXXXXXXXX201XXXXX9332d"

headers = {
   'content-type': 'application/json',
   'Authorization': 'Token {}'.format(api_token)
}

response = requests.get(url, headers=headers)
print(response.text)
```

#### **Example Response**

As a result of the request, it is seen that the operation was carried out successfully with a 200 OK response code.

```json
{
  "Processed_count": 1000,
  "Error_count": 0,
  "total_count": 1000
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/omnitron/integration/migration/view-migration-progress.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
